package urgrip.installation;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.installation.ContributionConfiguration;
import com.ur.urcap.api.contribution.installation.CreationContext;
import com.ur.urcap.api.contribution.installation.InstallationAPIProvider;
import com.ur.urcap.api.contribution.installation.swing.SwingInstallationNodeService;
import com.ur.urcap.api.domain.SystemAPI;
import com.ur.urcap.api.domain.data.DataModel;
import urgrip.programnodes.Style;
import urgrip.programnodes.V5Style;

import java.util.Locale;

public class URGripInstallationNodeService implements SwingInstallationNodeService<URGripInstallationNodeContribution, URGripInstallationNodeView> {

	@Override
	public void configureContribution(ContributionConfiguration configuration) {
	}

	@Override
	public String getTitle(Locale locale) {
		return "Grip";
	}

	@Override
	public URGripInstallationNodeView createView(ViewAPIProvider apiProvider) {
		SystemAPI systemAPI = apiProvider.getSystemAPI();
		Style style =  new V5Style();
		return new URGripInstallationNodeView(style);
	}

	@Override
	public URGripInstallationNodeContribution createInstallationNode(InstallationAPIProvider apiProvider, URGripInstallationNodeView view, DataModel model, CreationContext context) {
		return new URGripInstallationNodeContribution(apiProvider, model, view);
	}
}
